Package com.io7m.waxmill.machines

# Class WXMMACAddress.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMMACAddress.Builder

Enclosing class:
  WXMMACAddress

    public static final class WXMMACAddress.Builder
    extends java.lang.Object

Builds instances of type `WXMMACAddress`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMMACAddress` | `build()` | Builds a new `WXMMACAddress`.
  `WXMMACAddress.Builder` | `from​(WXMMACAddressType instance)` | Fill a builder with attribute values from the provided `WXMMACAddressType` instance.
  `WXMMACAddress.Builder` | `setValue​(java.lang.String value)` | Initializes the value for the `value` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMMACAddress.Builder from​(WXMMACAddressType instance)
    Fill a builder with attribute values from the provided `WXMMACAddressType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setValue

    public final WXMMACAddress.Builder setValue​(java.lang.String value)
    Initializes the value for the `value` attribute.
    Parameters:
      `value` - The value for value
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMMACAddress build()
    Builds a new `WXMMACAddress`.
    Returns:
      An immutable instance of WXMMACAddress
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing